
Redmine - Defect #7294

"Notifiy for only project I select" is not available anymore in 1.1.0

2011-01-11 19:58 - Alexandre VIAL-BOUKOBZA

Status: Closed Start date: 2011-01-11

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 1.1.1   

Resolution: Fixed Affected version:  

Description

Hello,

I'd like to know if the feature 'Notifiy for only project I select' is still available in redmine 1.1.0

We've just upgrade our redmine and I can't see this option anymore in "My Account"

Thanks for your help.

Associated revisions

Revision 4727 - 2011-01-16 15:40 - Jean-Philippe Lang

Fixed: "Notifiy for only project I select" is randomly displayed (#7294).

Revision 4730 - 2011-01-16 16:36 - Jean-Philippe Lang

Do not show "for only project I select" notification option on application settings form (#7294).

History

#1 - 2011-01-12 17:40 - Alexandre VIAL-BOUKOBZA

In fact I've found an other issue. Sometime this option is available, sometime not. (don't know exactly how to reproduce the bug) and each time I try to

modify my notification preferences, it is not applied. (no error message)

And I do not receive any email notification (worked fine berfore Upgrade from 1.0.5)

My version is Redmine 1.1.0.stable.4699

Thx for your help.

#2 - 2011-01-12 18:30 - Alexandre VIAL-BOUKOBZA

Ok,

I'm just an idiot I didn't run the rake task "rake db:migrate RAILS_ENV=production"

But my initial issue remain: Sometime I can see the option notification "Notifiy for the projects I select" (don't know the exact sentense in English

because i use work with the french version.) and sometime I do.

Thx for your help.

#3 - 2011-01-12 18:48 - Alexandre VIAL-BOUKOBZA

"For any event on the selected project only" (The options just came back) and disappeared again...

#4 - 2011-01-15 21:04 - Alexandre VIAL-BOUKOBZA

FYI, looks like, this option is not available on this redmine installation to...

Any idea ?

#5 - 2011-01-16 15:18 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

- Priority changed from Low to Normal

It seems to be randomly displayed or not.
#6 - 2011-01-16 15:43 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.1.1

- Resolution set to Fixed

This random behaviour was introduced in r4216. It's fixed by r4727.

Thanks for pointing this out.

#7 - 2011-01-16 15:47 - Alexandre VIAL-BOUKOBZA

You Welcome :)

Thanks YOU for redmine !

Is this fix in the 1.1 Branches ?

#8 - 2011-01-16 15:51 - Alexandre VIAL-BOUKOBZA

One more things:

the Option "For any event on the selected project only" is also available on https://&lt;redmine_url&gt;/settings > Mail notification. So it is possible to

define it by default for new users.

But how projects are selected as users are not members of the same projects ?

Should'nt this option removed from this menu ?

Thx for your help.

#9 - 2011-01-16 16:37 - Jean-Philippe Lang

Is this fix in the 1.1 Branches ?

 Not yet. I'll close this ticket when it's done.

Should'nt this option removed from this menu ?

 You're absolutely right, it doesn't make sense. It's fixed in r4730.

#10 - 2011-01-28 16:51 - gwenal  le bihan

Bonjour,

j'ai une version de redmine en 1.0.4 pourtant pas installée y'a si longtemps et j'ai les mêmes soucis concernant les notifications (à vous de me dire si

je suis hors-sujet).

En gros, mon compte admin possède trois options ds le menu déroulant des notifications dans mon compte et tous les autres comptes que je crée

n'en possède que 2 (aucun notif ou tous les projets où je suis impliquée). J'ai par ailleurs constaté qu'à la création de mon compte sur ce site, il y a 5

options!! Est-ce un plugin? ai-(je un bug sur ma version car impossible de trouver où cela se paramètre.

Si l'upgrade est la seule solution soit mais je voudrais savoir si je passe pas à côté d'un paramétrage de base (et qui éviterait à tout le monde ici de

recevoir autant de mails!).

Merci d'avance et pardon pour l'éventuel hors-sujet !

Gwenal

#11 - 2011-01-30 07:10 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.1-stable.

#12 - 2011-10-25 12:36 - Darcy Haase
